Index: code/branches/cpp11_v2/src/modules/designtools/CreateStars.h
===================================================================
--- code/branches/cpp11_v2/src/modules/designtools/CreateStars.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/designtools/CreateStars.h	(revision 10845)
@@ -43,5 +43,5 @@
             void createBillboards();
 
-            void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void setNumStars(int num) {
Index: code/branches/cpp11_v2/src/modules/designtools/SkyboxGenerator.h
===================================================================
--- code/branches/cpp11_v2/src/modules/designtools/SkyboxGenerator.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/designtools/SkyboxGenerator.h	(revision 10845)
@@ -65,5 +65,5 @@
             SkyboxGenerator();
             virtual ~SkyboxGenerator();
-            void tick(float dt) override; // This is where the skybox generation happens.
+            virtual void tick(float dt) override; // This is where the skybox generation happens.
             static void createSkybox(void); // Generate the 6 faces of a skybox.
             void setConfigValues(void); // Sets some config values.
Index: code/branches/cpp11_v2/src/modules/gametypes/OldRaceCheckPoint.h
===================================================================
--- code/branches/cpp11_v2/src/modules/gametypes/OldRaceCheckPoint.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/gametypes/OldRaceCheckPoint.h	(revision 10845)
@@ -64,5 +64,5 @@
             inline float getTimeLimit()
                 { return this->bTimeLimit_;}
-            inline const WorldEntity* getWorldEntity() const override
+            virtual inline const WorldEntity* getWorldEntity() const override
                 { return this; }
 
Index: code/branches/cpp11_v2/src/modules/gametypes/RaceCheckPoint.h
===================================================================
--- code/branches/cpp11_v2/src/modules/gametypes/RaceCheckPoint.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/gametypes/RaceCheckPoint.h	(revision 10845)
@@ -94,5 +94,5 @@
             virtual void fire(bool bIsTriggered, BaseObject* originator) override;
 
-            inline const WorldEntity* getWorldEntity() const override
+            virtual inline const WorldEntity* getWorldEntity() const override
             {
                 return this;
Index: code/branches/cpp11_v2/src/modules/gametypes/SpaceRace.h
===================================================================
--- code/branches/cpp11_v2/src/modules/gametypes/SpaceRace.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/gametypes/SpaceRace.h	(revision 10845)
@@ -57,5 +57,5 @@
             virtual ~SpaceRace() {}
 
-            void tick(float dt) override;
+            virtual void tick(float dt) override;
 
             virtual void end() override;
@@ -70,7 +70,7 @@
                 { return this->clock_; }
 
-            bool allowPawnHit(Pawn* victim, Pawn* originator) override;
-            bool allowPawnDamage(Pawn* victim, Pawn* originator) override;
-            bool allowPawnDeath(Pawn* victim, Pawn* originator) override;
+            virtual bool allowPawnHit(Pawn* victim, Pawn* originator) override;
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator) override;
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceManager.h
===================================================================
--- code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceManager.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/gametypes/SpaceRaceManager.h	(revision 10845)
@@ -58,5 +58,5 @@
             virtual ~SpaceRaceManager() ;
 
-            void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void addCheckpoint(RaceCheckPoint* checkpoint);
@@ -69,5 +69,5 @@
             std::vector<RaceCheckPoint*> getAllCheckpoints();
 
-            void tick(float dt) override;
+            virtual void tick(float dt) override;
 
         protected:
Index: code/branches/cpp11_v2/src/modules/objects/Attacher.h
===================================================================
--- code/branches/cpp11_v2/src/modules/objects/Attacher.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/objects/Attacher.h	(revision 10845)
@@ -64,5 +64,5 @@
                 { return this->targetname_; }
 
-            void loadedNewXMLName(BaseObject* object) override;
+            virtual void loadedNewXMLName(BaseObject* object) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/objects/SpaceBoundaries.h
===================================================================
--- code/branches/cpp11_v2/src/modules/objects/SpaceBoundaries.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/objects/SpaceBoundaries.h	(revision 10845)
@@ -93,7 +93,7 @@
             int getReaction();
 
-            void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            void tick(float dt) override;
+            virtual void tick(float dt) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/overlays/hud/AnnounceMessage.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/AnnounceMessage.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/AnnounceMessage.h	(revision 10845)
@@ -45,5 +45,5 @@
             virtual void changedOwner() override;
 
-            void announcemessage(const GametypeInfo* gtinfo, const std::string& message) override;
+            virtual void announcemessage(const GametypeInfo* gtinfo, const std::string& message) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/overlays/hud/DeathMessage.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/DeathMessage.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/DeathMessage.h	(revision 10845)
@@ -45,5 +45,5 @@
             virtual void changedOwner() override;
 
-            void deathmessage(const GametypeInfo* gtinfo, const std::string& message) override;
+            virtual void deathmessage(const GametypeInfo* gtinfo, const std::string& message) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/overlays/hud/GametypeFadingMessage.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/GametypeFadingMessage.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/GametypeFadingMessage.h	(revision 10845)
@@ -45,5 +45,5 @@
             virtual void changedOwner() override;
 
-            void fadingmessage(const GametypeInfo* gtinfo, const std::string& message) override;
+            virtual void fadingmessage(const GametypeInfo* gtinfo, const std::string& message) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/overlays/hud/GametypeStaticMessage.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/GametypeStaticMessage.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/GametypeStaticMessage.h	(revision 10845)
@@ -48,5 +48,5 @@
             virtual void changedOwner() override;
 
-            void staticmessage(const GametypeInfo* gtinfo, const std::string& message, const ColourValue& colour) override;
+            virtual void staticmessage(const GametypeInfo* gtinfo, const std::string& message, const ColourValue& colour) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDEnemyHealthBar.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDEnemyHealthBar.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDEnemyHealthBar.h	(revision 10845)
@@ -43,5 +43,5 @@
             virtual void tick(float dt) override;
 
-            void changedOwner() override;
+            virtual void changedOwner() override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.h	(revision 10845)
@@ -65,5 +65,5 @@
             virtual void radarTick(float dt) override {}
 
-            inline float getRadarSensitivity() const override
+            virtual inline float getRadarSensitivity() const override
                 { return 1.0f; }
 
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.h	(revision 10845)
@@ -80,5 +80,5 @@
         void set3DMaterialBack(std::string material3DBack) { this->material3DBack_ = material3DBack; }
 
-        float getRadarSensitivity() const override { return this->sensitivity_; }
+        virtual float getRadarSensitivity() const override { return this->sensitivity_; }
         // used also by RadarListener interface!
         void setRadarSensitivity(float sensitivity) { this->sensitivity_ = sensitivity; }
@@ -92,5 +92,5 @@
         virtual void removeObject(RadarViewable* viewable) override;
         virtual void objectChanged( RadarViewable* rv ) override;
-        void radarTick(float dt) override;
+        virtual void radarTick(float dt) override;
         bool showObject( RadarViewable* rv ); //!< Do not display an object on radar, if showObject(.) is false.
 
Index: code/branches/cpp11_v2/src/modules/overlays/hud/KillMessage.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/KillMessage.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/KillMessage.h	(revision 10845)
@@ -45,5 +45,5 @@
             virtual void changedOwner() override;
 
-            void killmessage(const GametypeInfo* gtinfo, const std::string& message) override;
+            virtual void killmessage(const GametypeInfo* gtinfo, const std::string& message) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/portals/PortalEndPoint.h
===================================================================
--- code/branches/cpp11_v2/src/modules/portals/PortalEndPoint.h	(revision 10821)
+++ code/branches/cpp11_v2/src/modules/portals/PortalEndPoint.h	(revision 10845)
@@ -69,5 +69,5 @@
                 { this->trigger_->addTarget(target); }
 
-            void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
             static std::map<unsigned int, PortalEndPoint *> idMap_s; //!< Maps the id of each PortalEndPoint to a pointer to that PortalEndPoint
             inline void setReenterDelay(unsigned int seconds)
